{
  "openapi": "3.0.0",
  "info": {
    "title": "AI 身形調整",
    "description": "# 概述\n用於身形調整與瘦身的 AI 身形調整 API\n用 AI 身體編輯器，在照片中充滿自信！雕塑、重塑並增強您的身體，達到自然、驚豔的比例。輕鬆重塑任何區域——腰、手臂、大腿、胸部等。輕輕一點，即可获得自然、驚豔的結果！\n\n\n## 整合指南\n本指南將引導您完成：\n\nAI 身形調整 API 的工作流程：\n\n**端點：** `/s2s/v2.0/task/body-reshape`\n\n**需要認證：** `Authorization: Bearer YOUR_API_KEY`\n\n**工作流程步驟：**\n\n1. **圖片上傳準備：**\n    - 準備要上傳的自拍圖片。\n    - 呼叫 File API `/s2s/v2.0/file` 取得上傳網址與相關的 `file_id`。\n    - 使用提供的上傳網址上傳自拍圖片。\n\n2. **團體照片的選填前處理：**\n    - 若圖片中有多於一人，請對自拍圖片進行前處理。\n\n3. **身形調整特效設定：**\n    - 先選擇合適的身形調整參數。\n\n4. **啟動 AI 任務並取得任務 ID：**\n    - 透過 HTTP POST 請求，將 `file_id` 與所選特效設定傳送到 `/s2s/v2.0/task/body-reshape`。\n    - 在回應中取得唯一的任務 ID，用以識別這次互動。\n\n5. **輪詢任務狀態（持續檢查）：**\n    - 使用取得的 `task_id`，透過 HTTP GET 請求（例如 `GET /s2s/v2.0/task/body-reshape/${task_id}`）定期輪詢任務狀態。\n    - 持續監控：\n    - `Task_status = \"success\"`（流程完成）。\n    - `Task_status = \"error\"`（視情況解決或重試）。\n    - 狀態轉為成功後，相應更新工作流程。\n\n這個結構化的工作流程確保與使用者輸入的高效整合、任務的自動化監控，以及無縫取得結果。\n\n---\n\n* API Playground\n\n使用我們的官方 playground 進行互動式探索與測試：\n\n**API Playground：**\n[http://yce.makeupar.com/api-console/en/api-playground/ai-body-reshape/](http://yce.makeupar.com/api-console/en/api-playground/ai-body-reshape/)\n\n---\n\n* 認證\n- 使用 **Bearer Token** 將您的 API key 納入請求標頭：\n```\nAuthorization: Bearer YOUR_API_KEY\n```\n您可以在 https://yce.makeupar.com/api-console/en/api-keys/ 找到您的 API Key。\n\n\n* 1. 上傳圖片\n\n您可以直接上傳檔案到伺服器，或在 AI 任務內容中提供有效的圖片網址。\n\n* 上傳端點\n\n```\nPOST /s2s/v2.0/file\n```\n\n或者，若您已有公開的圖片網址，可跳過此步驟。\n\n---\n\n* 2. 準備特效範本\n\n* 前處理\n輸出以像素座標表示的偵測邊界框。使用結果的索引，在稍後建立身形調整 AI 任務。\n```\n{\n\"timed\": number,\n\"result\": [\n{\n \"left\": number,\n \"top\": number,\n \"width\": number,\n \"height\": number\n}\n]\n}\n```\n\n* Effect Template JSON Schemas\n```\n{\n\"version\": \"1.0\",\n\"index\": 0,\n\"features\": {\n\"arm\": 0, // -100~100\n\"breast_left\": 0, // -100~100\n\"breast_right\": 0, // -100~100\n\"hip\": 0, // -100~100\n\"hip_lift\": 0, // -100~100\n\"leg\": 0, // -100~100\n\"neck_left\": 0, // 0~100\n\"neck_right\": 0, // 0~100\n\"shoulder_left\": 0, // -100~100\n\"shoulder_right\": 0, // -100~100\n\"squared_shoulder_left\": 0, // -100~100\n\"squared_shoulder_right\": 0, // -100~100\n\"slim\": 0, // -100~100\n\"taller\": 0, // 0~100\n\"waist\": 0, // -100~100\n\"belly\": 0 // -100~100\n}\n}\n```\nindex：來自前處理的偵測身體索引。選填，預設 0。\nfeatures：必要，至少 1 個非零的身形調整參數，不可全為零。\n\n\n* 內容範例（可直接發送）\n```\n{\n \"src_file_url\": \"https://plugins-media.makeupar.com/strapi/assets/body_reshape_02_7777218379.jpg\",\n \"version\": \"1.0\",\n \"index\": 0,\n \"features\": {\n\"arm\": 0,\n\"waist\": -20,\n\"taller\": 80,\n\"squared_shoulder_left\": 10,\n\"squared_shoulder_right\": 10,\n\"neck_left\": 0,\n\"neck_right\": 0,\n\"hip\": 10,\n\"breast_left\": 30,\n\"breast_right\": 30,\n\"slim\": -70,\n\"shoulder_left\": 30,\n\"shoulder_right\": 30,\n\"leg\": -30,\n\"hip_lift\": 0,\n\"belly\": -50\n }\n}\n```\n\n\n* 3. 建立身形調整 AI 任務並輪詢結果\n\n當您取得圖片與完整的特效內容後，即可建立任務。API 以非同步方式處理請求。您必須輪詢任務狀態，直到達到 `success` 或 `error`。\n\n* 建立任務端點\n\n```\nPOST /s2s/v2.0/task/body-reshape\n```\n\n* 輪詢端點\n\n```\nGET /s2s/v2.0/task/body-reshape/{task_id}\n```\n\n---\n\n## 檔案規格與錯誤\n\n* AI 身形調整規範\n\n**支援的自拍視角**\n全身照，臉部表情與身體姿勢清晰可見。\n\n![](https://plugins-media.makeupar.com/strapi/assets/thumbnail_body_reshape_02_7777218379.jpg)\n\n**可見度與姿勢需求**\n\n| **區域** | **來源圖片中必須滿足的條件** |\n|------------|---------------------------------------------------|\n| **頸部** | 頸部在來源圖片中必須可見。 |\n| **手臂** | 兩側手臂——上臂、前臂與手——都必須完整呈現。 |\n| **腿** | 整條腿必須出現在圖片中。 |\n| **臀部** | 臀部需要可見。 |\n| **臀部提拉** | 臀部需要可見。 |\n| **肩膀** | • 肩膀必須可見。<br>• 不允許舉手。<br>• 不允許 90° 側面姿勢。 |\n| **腹部** | 腹部必須可見。 |\n| **腰** | 腰部必須可見。 |\n| **胸部** | • 胸部區域必須出現在圖片中。<br>• 拍攝應包含臀部（即不是「不含半身的半個身體」）。<br>• 必須呈現胸部中央。 |\n| **瘦身** | 肩膀需要在畫面中。 |\n| **增高** | • 臀部必須出現。<br>• 半身視角應包含腿部（即腿部可見）。 |\n\n\n\n**身形調整自訂參數指南**\n\n| 類別 | 參數 | 功能 | 最小值 (-100 / 0) | 最大值 (100) |\n| -------- | --------- | -------- | -------------------- | --------------- |\n| 手臂| 強度 | 調整手臂的粗細 | 細 | 粗 |\n| 腹部| 強度 | 調整腹部突出 | 平坦 | 突出 |\n| 胸部| 強度（左/右） | 調整兩側的胸部體積 | 平坦 | 飽滿 |\n| 臀部提拉 | 強度 | 調整臀部的曲線與提拉（加入提臀效果） | 雕塑感（提拉且緊實） | 圓潤（提拉且更飽滿） |\n| 臀部大小 | 強度 | 調整臀部的整體寬度 | 窄 | 寬 |\n| 腿| 強度 | 調整腿的粗細 | 細 | 粗|\n| 頸部| 強度（左/右） | 調整兩側的頸部輪廓與雕塑| 原始 (0)| 內收 |\n| 肩膀寬度 | 強度（左/右） | 調整每側肩膀的跨度 | 窄 | 寬 |\n| 肩膀形狀 | 強度（左/右） | 調整每側肩膀的角度與斜度 | 斜肩 | 平肩 |\n| 瘦身| 強度 | 調整整體身體曲線 | 苗條 | 曲線玲瓏 |\n| 增高| 強度 | 調整整體人物身高 | 原始 (0) | 更高 |\n| 腰| 強度 | 調整腰線寬度 | 窄 | 寬 |\n\n**說明：** *“左”與“右”指的是人物的視角，而非螢幕上觀看者的一側。*\n\n\n---\n\n* 支援的格式與尺寸\n\n|AI 功能|支援的尺寸|支援的檔案大小|支援的格式|\n| ---- | ---- | ---- | ---- |\n|AI 身形調整|長邊 <= 2048，短邊 >= 320|< 10MB|jpg/jpeg/png|\n\n* 錯誤代碼\n\n| 錯誤代碼 | 說明 |\n| ---- | ---- |\n| RUNTIME_ERROR | 身形調整執行期間發生不如預期的錯誤 |\n| PHOTO_DETECTION_FAIL | 無法正確處理使用者照片，例如未偵測到手 |\n| PHOTO_CHECK_INVALID | 使用者照片的姿勢或尺寸無效 |\n| INPUT_ERROR | 輸入檔案格式不正確 |\n| INPUT_MAIN_IMAGE_EMPTY | 需要使用者圖片 |\n\n\n* 環境與相依性\n\n| 範例程式語言 / 工具 | 建議的執行環境版本 |\n|---|---|\n| cURL | - bash >= 3.2</br>- curl >= 7.58（現代 TLS/HTTP 支援）</br>- jq >= 1.6（穩健的 JSON 解析） |\n| Node.js（JavaScript） | Node >= 18（支援全域 fetch） |\n| JavaScript | - Chrome / Edge >= 80</br>- Firefox >= 74</br>- Safari >= 13.1 |\n| PHP | PHP >= 7.4（現代 TLS/相容性），ext-curl（建議）或 allow_url_fopen=On + ext-openssl、ext-json |\n| Python | Python >= 3.10（支援 f-strings），requests >= 2.20.0 |\n| Java | Java 11+（支援 HttpClient），Jackson Databind >= 2.12.0 |\n\n---\n\n## 點數消耗\n\n| AI 功能 | 消耗的點數 |\n|---|---|\n| AI 身形調整 V1.0 | 1 |\n\n---\n",
    "version": "",
    "termsOfService": "https://www.makeupar.com/perfectbeauty/youcam/terms-of-service-api",
    "contact": {
      "email": "YouCamOnlineEditor_API@perfectcorp.com"
    },
    "license": {
      "name": "Privacy policy",
      "url": "https://www.makeupar.com/perfectbeauty/youcam/privacy-policy-api"
    }
  },
  "servers": [
    {
      "url": "https://yce-api-01.makeupar.com"
    }
  ],
  "paths": {
    "/s2s/v2.0/task/body-reshape/pre-process": {
      "post": {
        "summary": "執行 AI 身形調整的偵測任務。",
        "description": "當來源照片可能包含超過一個有效目標，或您的整合需要明確選擇哪個被偵測到的目標接受特效時，請使用前處理任務。對於單一目標的圖片，當功能支援預設的 `index` 值，且您的應用程式不需要手動選擇目標時，可以跳過前處理。\n\n前處理任務會偵測來源照片中的候選目標，並在 `data.results.result` 中回傳它們的座標。結果陣列中的每個項目代表一個被偵測到的目標。檢視回傳的座標，將它們對應到來源照片中預期的臉部或區域，並在建立特效任務時，將該項目的零基陣列索引作為 `index` 值使用。\n\n對於偵測到多張臉或多個區域的圖片，請不要在未檢查前處理結果的情況下依賴預設的 `index` 值。特效只會套用到由 `index` 選定的目標，因此整合必須在執行特效任務前，確認對應到預期目標的結果項目。\n\n這個任務是非同步的。建立任務後，若功能支援，請以 webhook 處理完成，否則輪詢對應的前處理狀態端點，直到 `data.task_status` 為 `success` 或 `error`。\n",
        "tags": [
          "V1.0"
        ],
        "security": [
          {
            "BearerAuthenticationV2": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/BasicRunTaskV2"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "任務執行成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BasicRunTaskResponseV2"
                }
              }
            }
          },
          "400": {
            "description": "任務執行失敗",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/RunError"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/InvalidApiKey"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          }
        }
      }
    },
    "/s2s/v2.0/task/body-reshape/pre-process/{task_id}": {
      "get": {
        "summary": "查詢 AI 身形調整偵測任務的狀態。",
        "tags": [
          "V1.0"
        ],
        "security": [
          {
            "BearerAuthenticationV2": []
          }
        ],
        "parameters": [
          {
            "name": "task_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "example": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe"
            },
            "description": "要查詢的任務 ID"
          }
        ],
        "responses": {
          "200": {
            "description": "成功查詢任務狀態",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/TaskStatusResponsePreProcessNoUrlBase"
                    },
                    {
                      "type": "object",
                      "properties": {
                        "data": {
                          "type": "object",
                          "properties": {
                            "results": {
                              "type": "object",
                              "properties": {
                                "timed": {
                                  "type": "number"
                                },
                                "result": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "left": {
                                        "type": "number"
                                      },
                                      "top": {
                                        "type": "number"
                                      },
                                      "width": {
                                        "type": "number"
                                      },
                                      "height": {
                                        "type": "number"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidTaskId"
          },
          "401": {
            "$ref": "#/components/responses/InvalidApiKey"
          },
          "500": {
            "$ref": "#/components/responses/TaskTimeout"
          }
        }
      }
    },
    "/s2s/v2.0/task/body-reshape": {
      "post": {
        "summary": "執行 AI 身形調整任務。",
        "description": "AI 任務是非同步的。當功能支援 webhook 時，請優先使用以 webhook 為基礎的完成處理。設定您的 webhook 端點、驗證 webhook 簽章，並在收到 `success` 或 `error` 通知後，使用收到的 `task_id` 查詢任務結果。設定與驗證細節請見 [webhook 整合指南](/develop/webhook.md)。\n\n若您的整合不支援 webhook 或無法使用 webhook，請實作輪詢。送出 AI 任務後，以固定間隔（例如每 10 秒）輪詢狀態端點，直到任務狀態為 `success` 或 `error`。\n",
        "tags": [
          "V1.0"
        ],
        "security": [
          {
            "BearerAuthenticationV2": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/BasicRunTaskV2"
                  },
                  {
                    "type": "object",
                    "required": [
                      "version",
                      "features"
                    ],
                    "properties": {
                      "version": {
                        "type": "string",
                        "description": "功能規範的版本。除非另有指定，預設為 `\"1.0\"`。\n",
                        "default": "1.0",
                        "example": "1.0"
                      },
                      "index": {
                        "type": "integer",
                        "example": 0,
                        "description": "偵測任務結果中人物的索引。"
                      },
                      "features": {
                        "type": "object",
                        "description": "不可全為零",
                        "minProperties": 1,
                        "properties": {
                          "arm": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "breast": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0,
                            "description": "套用於兩側。單側鍵（`breast_left` / `breast_right`）會覆蓋該側的此值；單側的 `0` 代表該側保持不變。"
                          },
                          "breast_left": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "breast_right": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "hip": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "hip_lift": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "leg": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "neck": {
                            "type": "number",
                            "minimum": 0,
                            "maximum": 100,
                            "example": 0,
                            "description": "套用於兩側。單側鍵（`neck_left` / `neck_right`）會覆蓋該側的此值；單側的 `0` 代表該側保持不變。"
                          },
                          "neck_left": {
                            "type": "number",
                            "minimum": 0,
                            "maximum": 100,
                            "example": 0
                          },
                          "neck_right": {
                            "type": "number",
                            "minimum": 0,
                            "maximum": 100,
                            "example": 0
                          },
                          "shoulder": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0,
                            "description": "套用於兩側。單側鍵（`shoulder_left` / `shoulder_right`）會覆蓋該側的此值；單側的 `0` 代表該側保持不變。"
                          },
                          "shoulder_left": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "shoulder_right": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "squared_shoulder": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0,
                            "description": "套用於兩側。單側鍵（`squared_shoulder_left` / `squared_shoulder_right`）會覆蓋該側的此值；單側的 `0` 代表該側保持不變。"
                          },
                          "squared_shoulder_left": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "squared_shoulder_right": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "slim": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "taller": {
                            "type": "number",
                            "minimum": 0,
                            "maximum": 100,
                            "example": 0
                          },
                          "waist": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          },
                          "belly": {
                            "type": "number",
                            "minimum": -100,
                            "maximum": 100,
                            "example": 0
                          }
                        }
                      }
                    }
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "任務執行成功",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BasicRunTaskResponseV2"
                }
              }
            }
          },
          "400": {
            "description": "任務執行失敗",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/RunError"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/InvalidApiKey"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          }
        }
      }
    },
    "/s2s/v2.0/task/body-reshape/{task_id}": {
      "get": {
        "summary": "查詢 AI 身形調整任務的狀態。",
        "tags": [
          "V1.0"
        ],
        "security": [
          {
            "BearerAuthenticationV2": []
          }
        ],
        "parameters": [
          {
            "name": "task_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "example": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe"
            },
            "description": "要查詢的任務 ID"
          }
        ],
        "responses": {
          "200": {
            "description": "成功查詢任務狀態",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/TaskStatusResponseV2"
                    },
                    {
                      "type": "object",
                      "properties": {
                        "data": {
                          "type": "object",
                          "properties": {
                            "results": {
                              "type": "object",
                              "properties": {
                                "timed": {
                                  "type": "number"
                                },
                                "timed_apply": {
                                  "type": "number"
                                },
                                "arm": {
                                  "type": "boolean"
                                },
                                "breast_left": {
                                  "type": "boolean"
                                },
                                "breast_right": {
                                  "type": "boolean"
                                },
                                "hip": {
                                  "type": "boolean"
                                },
                                "hip_lift": {
                                  "type": "boolean"
                                },
                                "leg": {
                                  "type": "boolean"
                                },
                                "neck_left": {
                                  "type": "boolean"
                                },
                                "neck_right": {
                                  "type": "boolean"
                                },
                                "shoulder_left": {
                                  "type": "boolean"
                                },
                                "shoulder_right": {
                                  "type": "boolean"
                                },
                                "squared_shoulder_left": {
                                  "type": "boolean"
                                },
                                "squared_shoulder_right": {
                                  "type": "boolean"
                                },
                                "slim": {
                                  "type": "boolean"
                                },
                                "taller": {
                                  "type": "boolean"
                                },
                                "waist": {
                                  "type": "boolean"
                                },
                                "belly": {
                                  "type": "boolean"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidTaskId"
          },
          "401": {
            "$ref": "#/components/responses/InvalidApiKey"
          },
          "500": {
            "$ref": "#/components/responses/TaskTimeout"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuthenticationV2": {
        "type": "http",
        "scheme": "bearer",
        "description": "使用標準的 'Bearer authentication'。請在標頭中放入您的 'API Key'：`Authorization:Bearer YOUR_API_KEY`。請注意 'Bearer' 與 'YOUR_API_KEY' 之間有一個空格。"
      }
    },
    "schemas": {
      "BasicRunTaskV2SrcFileUrl": {
        "type": "object",
        "required": [
          "src_file_url"
        ],
        "properties": {
          "src_file_url": {
            "type": "string",
            "description": "要執行任務的檔案網址。該網址應可公開存取。",
            "example": "https://example.com/selfie.jpg"
          }
        }
      },
      "BasicRunTaskV2SrcFileId": {
        "type": "object",
        "required": [
          "src_file_id"
        ],
        "properties": {
          "src_file_id": {
            "type": "string",
            "description": "要執行任務的檔案 ID。檔案 ID 來自上傳檔案 API。",
            "example": "pfNK5PuRe0MrwLHcGA3DOmB1ahwfXTbYHjv+KoBIxbE="
          }
        }
      },
      "BasicRunTaskV2": {
        "title": "BasicRunTaskV2",
        "anyOf": [
          {
            "title": "Run task with src file url",
            "allOf": [
              {
                "$ref": "#/components/schemas/BasicRunTaskV2SrcFileUrl"
              }
            ]
          },
          {
            "title": "Run task with src file ID",
            "allOf": [
              {
                "$ref": "#/components/schemas/BasicRunTaskV2SrcFileId"
              }
            ]
          }
        ]
      },
      "BasicRunTaskResponseV2": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "回應狀態",
            "example": 200
          },
          "data": {
            "type": "object",
            "properties": {
              "task_id": {
                "type": "string",
                "description": "這個任務的 ID。任務結果可以此 ID 查詢，有效期限 24 小時。",
                "example": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe"
              }
            }
          }
        }
      },
      "RunError": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "回應狀態",
            "example": 400
          },
          "error": {
            "type": "string",
            "description": "錯誤訊息",
            "example": "The operation could not be completed"
          },
          "error_code": {
            "type": "string",
            "enum": [
              "InvalidParameters",
              "CreditInsufficiency",
              "InvalidStyleGroup",
              "InvalidStyle",
              "BadRequest"
            ],
            "description": "錯誤代碼：\n* InvalidParameters - 請求參數無效\n* CreditInsufficiency - 點數不足，無法執行\n* BadRequest - 非預期的請求參數\n* InvalidStyleGroup - 風格群組 id 無效\n* InvalidStyle - 風格 id 無效\n"
          }
        }
      },
      "EngineErrorCode": {
        "type": "string",
        "nullable": true,
        "enum": [
          "error_exceed_max_image_size",
          "exceed_max_filesize",
          "invalid_parameter",
          "error_download_image",
          "error_download_mask",
          "error_decode_image",
          "error_decode_mask",
          "error_nsfw_content_detected",
          "error_no_face",
          "error_pose",
          "error_face_parsing",
          "error_inference",
          "exceed_nsfw_retry_limits",
          "error_upload",
          "unknown_internal_error"
        ],
        "description": "錯誤：\n- \\`error_exceed_max_image_size\\`  - 輸入圖片尺寸超過上限\n- \\`exceed_max_filesize\\` - 輸入檔案大小超過上限\n- \\`invalid_parameter\\` - 參數值無效\n- \\`error_download_image\\` - 下載來源圖片錯誤\n- \\`error_download_mask\\` - 下載遮罩圖片錯誤\n- \\`error_decode_image\\` - 解析來源圖片錯誤\n- \\`error_decode_mask\\` - 解析遮罩圖片錯誤\n- \\`error_nsfw_content_detected\\` - 在來源圖片中偵測到 NSFW 內容\n- \\`error_no_face\\` - 來源圖片未偵測到臉部\n- \\`error_pose\\` - 無法偵測來源圖片的姿势\n- \\`error_face_parsing\\` - 無法對來源圖片進行臉部分割\n- \\`error_inference\\` - 推論流程錯誤\n- \\`exceed_nsfw_retry_limits\\` - 超過重試上限以避免產生 NSFW 圖片\n- \\`error_upload\\` - 上傳結果圖片錯誤\n- \\`unknown_internal_error\\` - 其他"
      },
      "TaskStatusResponsePreProcessNoUrlBase": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "回應狀態",
            "example": 200
          },
          "data": {
            "type": "object",
            "properties": {
              "task_status": {
                "type": "string",
                "enum": [
                  "running",
                  "success",
                  "error"
                ],
                "description": "這個任務的狀態"
              },
              "error": {
                "$ref": "#/components/schemas/EngineErrorCode"
              },
              "error_message": {
                "type": "string",
                "description": "錯誤的詳細說明"
              }
            }
          }
        }
      },
      "TaskStatusResponseBodySingleUrlResultsV2": {
        "type": "object",
        "properties": {
          "url": {
            "type": "string",
            "description": "下載這個結果的網址。有效期限 2 小時",
            "example": "https://example.com/sample-result-url"
          }
        }
      },
      "TaskStatusResponseV2": {
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "回應狀態",
            "example": 200
          },
          "data": {
            "type": "object",
            "properties": {
              "task_status": {
                "type": "string",
                "enum": [
                  "running",
                  "success",
                  "error"
                ],
                "description": "這個任務的狀態"
              },
              "error": {
                "$ref": "#/components/schemas/EngineErrorCode"
              },
              "error_message": {
                "type": "string",
                "description": "錯誤的詳細說明"
              },
              "results": null
            }
          }
        },
        "$ref": "#/components/schemas/TaskStatusResponseBodySingleUrlResultsV2"
      }
    },
    "responses": {
      "InvalidApiKey": {
        "description": "API 金鑰無效或缺失",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "integer",
                  "example": 401,
                  "description": "回應狀態"
                },
                "error": {
                  "type": "string",
                  "example": "Invalid API key"
                }
              }
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "請求過多",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "integer",
                  "example": 429,
                  "description": "回應狀態"
                },
                "error": {
                  "type": "string",
                  "example": "Too many requests"
                }
              }
            }
          }
        }
      },
      "InvalidTaskId": {
        "description": "任務 ID 無效",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "integer",
                  "example": 400,
                  "description": "回應狀態"
                },
                "error": {
                  "type": "string",
                  "example": "Invalid task ID"
                }
              }
            }
          }
        }
      },
      "TaskTimeout": {
        "description": "任務執行逾時",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "integer",
                  "example": 500,
                  "description": "回應狀態"
                },
                "error": {
                  "type": "string",
                  "example": "Task execution timed out"
                }
              }
            }
          }
        }
      }
    }
  }
}